﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mostenire
{
    class Shape
    {
        public virtual void Draw()
        {
            Console.WriteLine("Drawing a general shape...");
        }
    }
    
    class Triangle : Shape
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Triangle...");
        }
    }


    class Rectangle : Shape
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Rectangle...");
        }
    }


    class Square : Rectangle
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Square...");
        }
    }


    class Circle : Shape
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Circle...");
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            Shape shape = null;
            shape = new Shape();
            shape.Draw();

            shape = new Rectangle();
            shape.Draw();

            shape = new Square();
            shape.Draw();

            shape = new Triangle();
            shape.Draw();

            shape = new Circle();
            shape.Draw();

            Console.ReadKey();

        }
    }
}
