﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mostenire
{
    class Shape
    {
        public virtual void Draw()
        {
            Console.WriteLine("Drawing a general shape...");
        }
    }
    
    class Triangle : Shape
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Triangle...");
        }
    }


    class Rectangle : Shape
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Rectangle...");
        }
    }


    class Square : Rectangle
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Square...");
        }
    }


    class Circle : Shape
    {
        public override void Draw()
        {
            Console.WriteLine("Drawing a Circle...");
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            List<Shape> shapes = new List<Shape>
            {
                new Shape(), new Triangle(), new Circle(),
                new Rectangle(), new Square()
            };

            foreach (var shape in shapes)
                shape.Draw();

            Console.ReadKey();

        }
    }
}
