﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mostenire
{
    class Person
    {
        public Person()
        {
            name = "";
            age = 0;
        }
        public Person(string name)
        {
            this.name = name;
        }

        public Person(string name, int age)
        {
            this.name = name;
            this.age = age;
        }

        public string Name
        {
            get { return name; }
        }

        private string name;
        private int age;
    }

    class Student : Person
    {
        public Student() : base()
        {
            school = "";
        }

        public Student(string name, int age, string school) 
               : base(name, age)
        {
            this.school = school;
        }

        public Student(string name, string school)
               : base(name)
        {
            this.school = school;
        }

        public string School
        {
            get { return school; }
            set { school = value; }
        }
        public int Val
        {
            get;
            set;
        }

        private string school;
    }

    class Program
    {
        static void Main(string[] args)
        {
            Student student1 = new Student("Ion", 19, "CNLR");

            student1.Val = 1000;
            Console.WriteLine(student1.Val);

            Student student2 = new Student("Ana", "CNLR");

            Console.WriteLine(student2.Name + " " +
                              student2.School);

            Console.ReadKey();
        }
    }
}
